5 Commits 856b8ff9bb ... 3b52a6b89c

Author SHA1 Message Date
  Adam 3b52a6b89c Merge branch 'v0.3.0' into develop 3 years ago
  Adam ed5be240af add check_translation script 3 years ago
  Adam 993e416489 update readme 3 years ago
  Adam 5d4373225e update changelog 3 years ago
  Adam 6fbe3610b3 update version in index.html 3 years ago
4 changed files with 81 additions and 18 deletions
  1. 31 6
      CHANGELOG.adoc
  2. 7 11
      README.adoc
  3. 42 0
      i18n/check_translation
  4. 1 1
      templates/index.html

+ 31 - 6
CHANGELOG.adoc

@@ -9,10 +9,8 @@ and this project adheres to https://semver.org/spec/v2.0.0.html[Semantic Version
 
 === Added
 
-* User account
-* Watchlist, Readlist
-* Experience logging (watched, read)
-* Next episode to watch in series
+* Readlist
+* Experience logging (read)
 * Upcoming episodes and films from watchlist
 * Film and series discovery
 * Manpages
@@ -31,11 +29,38 @@ and this project adheres to https://semver.org/spec/v2.0.0.html[Semantic Version
 * Show books not available in Wikidata, from Inventaire
 * Further optimisation (minify css, caching)
 * Improve based-on
-* Limit tv series episode description length
+
+== [0.3.0] — 2020-05-23
+
+=== Added
+
+* Watchlist (with searching)
+* Showing that film in watchlist has previous, not watched part
+* Marking films watched (also on another date)
+* TV Queue
+* Marking episodes skipped or watched
+* Showing progress in TV series
+* Skipping whole season 0 in TV series
+* Experiences (of films and TV series)
+* User account (signup and login)
+* Next episode to watch in TV series
+* New verbs (%a, %b, %h) in date translations
+
+=== Changed
+
+* Placeholder on the front page is cut with ellipsis
+* Episode description in last and next episode are cut with ellipsis
+* Updated translations
+* Year is hidden if it’s unknown
+* Cancelled TV series are treated like ended ones
+
+=== Fixed
+
+* Years in TV series if end year is unknown
 
 == [0.2.0] - 2020-02-10
 
-== Added
+=== Added
 
 * Searching books (from Wikidata only).
 * Showing books (from Wikidata only).

+ 7 - 11
README.adoc

@@ -1,6 +1,6 @@
 = a·muse
 apiote <me@apiote.tk>
-v0.2.0 (Agrajag) 2020-02-10
+v0.3.0 (Colin) 2020-03-23
 :toc:
 
 a·muse is a no-JavaScript frontend for The Movie Database. It is also a system that connects films with books which the former are based on, thanks to using data from Wikidata. Finally, a·muse is also a place to collect ideas which films, books, and series watch or read next, and which of those have already been watched or read.
@@ -11,26 +11,22 @@ The name of the system is ‘a·muse.’ The name of the program, command, any p
 
 Both are pronounced the same–[æˈʔmjuːz].
 
-It’s a play of words—amuse as a verb, and a muse as a goddess.
+It’s a play of words—amuse as a verb, and a muse as a goddess.
 
 == Building
 
-To build version 0.2.x, You need:
+To build version 0.3.x, You need:
 
 * `go>=1.11`
 * `resvg`
 * `cwebp`
 * `mk`
 
-=== Python router
-
-Because `apiote.tk` runs currently on a shared hosting with no possibility of running arbitrary binaries, but with wsgi, a·muse can be built as a Python module and run with a Python router. This only works with `glibc` (https://github.com/golang/go/issues/13492[Github issue]). Furthermore, the shared hosting uses `python==3.7` so a friendly `Dockerfile` is provided.
+Then, all You have to do is run `mk`, and—optionally—`mk install`
 
-Build script is only provided in the `mkfile`, not in the `makefile`.
-
-*This is a hack. You are on Your own.*
+=== Python router
 
-*This is currently NOT supported.*
+WARNING: Python router is deprecated
 
 == Contribute
 
@@ -50,7 +46,7 @@ API has been postponed till the project is more stable.
 == Licence
 
 ----
-amuse Copyright (C) 2019 apiote
+amuse Copyright (C) 2019–2020 apiote
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Affero General Public License as published by

+ 42 - 0
i18n/check_translation

@@ -0,0 +1,42 @@
+#!/bin/sh
+
+if [ "$1" = '' ]
+then
+	echo "usage check_translation <file>"
+	exit 1
+fi
+
+if [ ! -f "$1" ]
+then
+	echo "Translation $1 does not exist"
+	exit 1
+fi
+
+default_all=$(grep -c '=' < default.toml)
+default_untranslatable=$(grep -c '^#untranslatable' < default.toml)
+default=$(( default_all - default_untranslatable ))
+
+translated_all=$(grep -c '=' < "$1")
+translated_untranslatable=$(grep -c '^#untranslatable' < "$1")
+translated=$(( translated_all - translated_untranslatable ))
+
+left=$(( default - translated ))
+
+if [ "$translated_untranslatable" -ne 0 ]
+then
+	echo "Untranslatable strings in $1"
+	status=1
+fi
+
+percent=$((translated * 100 / default))
+echo "$percent% translated"
+
+if [ $left -gt 0 ]
+then
+	echo "There are $left strings left to translate"
+elif [ $left -eq 0 ]
+then
+	echo "All strings translated"
+fi
+
+exit $status

+ 1 - 1
templates/index.html

@@ -58,7 +58,7 @@
 				<span class="text-grey material-icon">&#xe88e</span>
 			</a>
 			<!-- here goes translation link -->
-			<code class="margin-lr-1 font-_875 text-grey">v0.2.0</code>
+			<code class="margin-lr-1 font-_875 text-grey">v0.3.0</code>
 		</footer>
 	</body>
 </html>